﻿using Microsoft.QueryStringDotNET;
using System;
using System.Drawing;
using System.IO;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace PrintScreenNotificationCore
{
    // The GUID CLSID must be unique to your app. Create a new GUID if copying this code.
    [ClassInterface(ClassInterfaceType.None)]
    [ComSourceInterfaces(typeof(INotificationActivationCallback))]
    [Guid("0E76B422-2638-4F94-A829-47ED09798F7D"), ComVisible(true)]
    public class MyNotificationActivator : NotificationActivator
    {
        public override void OnActivated(string arguments, NotificationUserInput userInput, string appUserModelId)
        {
            QueryString args = QueryString.Parse(arguments);
            switch (args["action"])
            {
                case "openfolder":
                    //フォルダを開く
                    Form1.Form1Instance.action_openfolder();
                    break;

                case "savefile":
                    //保存
                    Form1.Form1Instance.action_savefile();
                    break;

                case "newfile":
                    //別名保存
                    Form1.Form1Instance.action_newfile();
                    break;
            }
        }
    }
}
